Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 713366 - app-backup/bup: needs py3 port
Summary: app-backup/bup: needs py3 port
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal with 1 vote (vote)
Deadline: 2020-05-23
Assignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it
URL:
Whiteboard:
Keywords: PMASKED
Depends on:
Blocks: py3-tracker, python-3-incompatible
  Show dependency tree
 
Reported: 2020-03-19 09:43 UTC by Michał Górny
Modified: 2020-08-26 22:00 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2020-03-19 09:43:07 UTC
This is blocking pyxattr.
Comment 1 Andreas Sturmlechner gentoo-dev 2020-04-14 15:32:23 UTC
0.30 still is py2 only so bumping is a waste of time.

but git master has lots of python3 commits, so let's hope they make a new release soon.
Comment 2 Andreas Sturmlechner gentoo-dev 2020-04-15 22:03:42 UTC
Had a talk with upstream in irc and raised some urgency to make a python-3 based release before introducing major breaking changes. We'll see.
Comment 3 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2020-04-18 05:16:04 UTC
Are you interested in becoming a maintainer for it?
Comment 4 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2020-04-22 05:54:39 UTC
Also note that pylibacl is now py3-only.
Comment 5 Andreas Sturmlechner gentoo-dev 2020-04-22 16:35:29 UTC
I can't pick up any additional packages.
Comment 6 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2020-04-22 19:03:44 UTC
Hmm, I guess that means lastriting app-backup/kup as well.
Comment 7 Larry the Git Cow gentoo-dev 2020-04-23 11:23:45 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a658b4b3604a092193b3eb9184000afd19693c26

commit a658b4b3604a092193b3eb9184000afd19693c26
Author:     Michał Górny <mgorny@gentoo.org>
AuthorDate: 2020-04-23 11:20:43 +0000
Commit:     Michał Górny <mgorny@gentoo.org>
CommitDate: 2020-04-23 11:23:36 +0000

    package.mask: Last rite app-backup/bup, app-backup/kup
    
    Bug: https://bugs.gentoo.org/713366
    Signed-off-by: Michał Górny <mgorny@gentoo.org>

 profiles/package.mask | 6 ++++++
 1 file changed, 6 insertions(+)
Comment 8 David Zaslavsky 2020-05-03 08:43:44 UTC
I use bup and kup so I'd quite like to see them reintroduced to Portage once they've been ported to Python 3. Is that likely to happen given the current state of things, or if not would it help if I volunteer as a proxy maintainer? While my free time is pretty limited, hopefully I could handle these couple relatively small packages.
Comment 9 Andreas Sturmlechner gentoo-dev 2020-05-03 09:53:17 UTC
Having someone (proxy-)maintain app-backup/bup who is actively using it would certainly be good. In that case kde proj will be able to keep app-backup/kup in the tree.

However the burden is on upstream right now to actually create a py3-based release. One issue seems to be some lack of awareness what a release can do to keep their software relevant; the main guy doing the py3 porting work does not really seem to care about (but also does not block making) releases at all and is already way ahead with major changes.
Comment 10 David Zaslavsky 2020-05-09 03:19:54 UTC
Thanks Andreas (and sorry for the late response; I missed the email about your reply). I fully agree that the burden is on upstream.

How about this: I'll watch the mailing list for when they make a new release that supports Python 3, and at that point I'll submit a request to reintroduce the package to the tree with myself as a proxied maintainer for it, following the directions on the wiki. It does look like the bup maintainers have some kind of plan (https://groups.google.com/forum/#!topic/bup-list/bXhVRnt_cXE), although it's not clear what timescale they have in mind.
Comment 11 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2020-05-09 05:10:28 UTC
Sure. When you do that, please ping us that it's a reintroduced package, so we'll prioritize it over new packages.
Comment 12 Larry the Git Cow gentoo-dev 2020-05-23 09:53:44 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ea4ac42ea4f9f77410a783fdb46d630925955ecf

commit ea4ac42ea4f9f77410a783fdb46d630925955ecf
Author:     Michał Górny <mgorny@gentoo.org>
AuthorDate: 2020-05-23 09:52:36 +0000
Commit:     Michał Górny <mgorny@gentoo.org>
CommitDate: 2020-05-23 09:53:32 +0000

    app-backup/bup: Remove last-rited pkg
    
    Closes: https://bugs.gentoo.org/713366
    Signed-off-by: Michał Górny <mgorny@gentoo.org>

 app-backup/bup/Manifest                       |  1 -
 app-backup/bup/bup-0.29.2.ebuild              | 58 ---------------------------
 app-backup/bup/files/bup-0.29.2-sitedir.patch | 38 ------------------
 app-backup/bup/metadata.xml                   | 11 -----
 profiles/base/package.use.mask                |  4 --
 profiles/package.mask                         |  5 ---
 6 files changed, 117 deletions(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=409d596d048a300233d0e439007f343b805c86ad

commit 409d596d048a300233d0e439007f343b805c86ad
Author:     Michał Górny <mgorny@gentoo.org>
AuthorDate: 2020-05-23 09:52:29 +0000
Commit:     Michał Górny <mgorny@gentoo.org>
CommitDate: 2020-05-23 09:53:31 +0000

    app-backup/kup: Remove last-rited pkg
    
    Closes: https://bugs.gentoo.org/713366
    Signed-off-by: Michał Górny <mgorny@gentoo.org>

 app-backup/kup/Manifest                      |   1 -
 app-backup/kup/files/kup-0.7.3-libgit2.patch | 140 ---------------------------
 app-backup/kup/kup-0.7.3.ebuild              |  57 -----------
 app-backup/kup/metadata.xml                  |   8 --
 profiles/package.mask                        |   1 -
 5 files changed, 207 deletions(-)
Comment 13 Andreas Sturmlechner gentoo-dev 2020-07-26 11:32:14 UTC
(In reply to David Zaslavsky from comment #8)
> would it help if I volunteer as a proxy maintainer? While my free time is
> pretty limited, hopefully I could handle these couple relatively small packages

"Call for testing for a 0.31 release (supporting Python 3)"
https://groups.google.com/forum/#!msg/bup-list/HmGgQrzLcmM/NFgIf3hWCAAJ